--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 10.23 (Ubuntu 10.23-0ubuntu0.18.04.2)
-- Dumped by pg_dump version 15.3

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE "RAW_BU_LU";
--
-- Name: RAW_BU_LU; Type: DATABASE; Schema: -; Owner: addrdb
--

CREATE DATABASE "RAW_BU_LU" WITH TEMPLATE = template0 ENCODING = 'UTF8' LOCALE_PROVIDER = libc LOCALE = 'C.UTF-8';


ALTER DATABASE "RAW_BU_LU" OWNER TO addrdb;

\connect "RAW_BU_LU"

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: addrdb
--

-- *not* creating schema, since initdb creates it


ALTER SCHEMA public OWNER TO addrdb;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: addrdb
--

COMMENT ON SCHEMA public IS '';


--
-- Name: postgis; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS postgis WITH SCHEMA public;


--
-- Name: EXTENSION postgis; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION postgis IS 'PostGIS geometry, geography, and raster spatial types and functions';


SET default_tablespace = '';

--
-- Name: Building; Type: TABLE; Schema: public; Owner: addrdb
--

CREATE TABLE public."Building" (
    cntr_id character varying(2),
    horizontalgeometryestimatedaccuracy_uom character varying(1),
    horizontalgeometryreference_xlink_href character varying(89),
    referencegeometry character varying(4),
    inspireid_identifier_localid character varying(41),
    inspireid_identifier_namespace character varying(93),
    xml_ns_uri character varying(49),
    "buildingnature{0}_xlink_href" character varying(68),
    "currentuse{0}_currentuse_currentuse_xlink_href" character varying(72),
    "externalreference{0}_externalreference_informationsystem" character varying(60),
    "externalreference{0}_externalreference_informationsystemname_ch" character varying(82),
    "externalreference{0}_externalreference_reference" character varying(24),
    xml_type character varying(9),
    geom public.geometry(Geometry,25830)
);


ALTER TABLE public."Building" OWNER TO addrdb;

--
-- Data for Name: Building; Type: TABLE DATA; Schema: public; Owner: addrdb
--

COPY public."Building" (cntr_id, horizontalgeometryestimatedaccuracy_uom, horizontalgeometryreference_xlink_href, referencegeometry, inspireid_identifier_localid, inspireid_identifier_namespace, xml_ns_uri, "buildingnature{0}_xlink_href", "currentuse{0}_currentuse_currentuse_xlink_href", "externalreference{0}_externalreference_informationsystem", "externalreference{0}_externalreference_informationsystemname_ch", "externalreference{0}_externalreference_reference", xml_type, geom) FROM stdin;
\.
COPY public."Building" (cntr_id, horizontalgeometryestimatedaccuracy_uom, horizontalgeometryreference_xlink_href, referencegeometry, inspireid_identifier_localid, inspireid_identifier_namespace, xml_ns_uri, "buildingnature{0}_xlink_href", "currentuse{0}_currentuse_currentuse_xlink_href", "externalreference{0}_externalreference_informationsystem", "externalreference{0}_externalreference_informationsystemname_ch", "externalreference{0}_externalreference_reference", xml_type, geom) FROM '$$PATH$$/4286.dat';

--
-- Data for Name: spatial_ref_sys; Type: TABLE DATA; Schema: public; Owner: addrdb
--

COPY public.spatial_ref_sys (srid, auth_name, auth_srid, srtext, proj4text) FROM stdin;
\.
COPY public.spatial_ref_sys (srid, auth_name, auth_srid, srtext, proj4text) FROM '$$PATH$$/4153.dat';

--
-- Name: Building_geom_1741698141923; Type: INDEX; Schema: public; Owner: addrdb
--

CREATE INDEX "Building_geom_1741698141923" ON public."Building" USING gist (geom);


--
-- Name: SCHEMA public; Type: ACL; Schema: -; Owner: addrdb
--

REVOKE USAGE ON SCHEMA public FROM PUBLIC;


--
-- PostgreSQL database dump complete
--

